/* css pour totu*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    height: 100%;
}

body{
    margin: 0;
    padding: 0;
    display:flex;
    flex-direction: column;
    height: 100%;
    background-color: #1a1921;
    color: #fff;
}

.main{
    width: auto;
    margin-left: auto;
    margin-right: auto;
}

/* css pour header*/
.div-header{
    display: flex;
    flex-direction: row;
    width: 100%;
}

header{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 200px;
    align-items: center;
}

header input{
    text-indent: 10px;
}

.search{
    display: flex;
    background: linear-gradient(to bottom, rgba(255,255,255,0.43) 0%, rgba(255,255,255,0.3) 100%);
    height: 40px;
    border-radius: 5px;
}

.search input{
    background-color: transparent;
    color: white;
    border: none;
    width: 200px;
}

.search button{
    background: transparent;
    border: none;
    width: 30px;
}

#search::placeholder{
    color: lightgray;
}

i{
    color: white;
}

.div-navbar{
    display: flex;
    flex-direction: row;
    padding: 1%;
    height: 60px;
    justify-content: space-between;
    align-items: center;
    box-shadow: rgba(0,0,0,0.8) 0px 1px 8px, rgba(255,255,255,0.1) 0px 0px 0px 1px, rgba(255,255,255,0.1) 0px 1px 0px;
    background-image: url("image/bg-texture.png");
}


.left-menu{
    width: 70%;
}

.right-menu{
    width: 30%;
}


.div-navbar ul{
    list-style: none;
    display: flex;
    flex-direction: row;
}

.div-navbar ul li{
    padding: 0 1em;
}

.div-navbar a{
    text-decoration: none;
    color: white;
}



/*css breadcrumb*/

.breadcrumb-navbar{
    display: flex;
    flex-direction: row;
    margin-top: 2em;
    justify-content: space-between;
    align-items: center;
    height: 3em;
}

.breadcrumb-navbar ul{
    list-style: none;
    height: 100%;
    display: flex;
}

.breadcrumb-navbar ul:nth-child(1) li {
    text-indent: 20px;
    display: flex;
    align-items: center;
}

.breadcrumb-navbar ul:nth-child(2) li {
    padding-right: 10px;
    padding-left: 10px;
    border-left: 2px solid white;
    display: flex;
    align-items: center;
}


.breadcrumb-navbar a{
    text-decoration: none;
    color: white;
    border-radius: 5px;
}

.breadcrumb-focus{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 75%;
    background-color:  rgba(211,211,211,0.3);
    height: 100%;
    align-items: center;
    margin-right: 2px;
    border-radius: 5px;
}

.breadcrumb-social{
    display: flex;
    flex-direction: row;
    height: 100%;
    align-items: center;
    width: 25%;
}

.breadcrumb-social a{
    display: flex;
    justify-content: center;
    padding:5px;
    margin: 2px;
    background-color:  rgba(211,211,211,0.3);
    height: 100%;
    width: 20%;
    align-items: center;
}
/* css pour body*/

.container-content{
    display: flex;
    flex-direction: row;
}

.content-left{
    display: flex;
    flex-direction: column;
    flex-basis: 70%;
    margin-right: 20px;
}

.content-left a{
    text-decoration: none;
    color: white;
}

.content-right{
    display: flex;
    flex-direction: column;
    flex-basis: 30%;
}

.article-content{
    display: flex;
    flex-direction: column;
    background-color: rgba(0,0,0,0.4);
    margin-top: 20px;
    box-shadow: rgba(0,0,0,0.8) 0px 1px 8px, rgba(255,255,255,0.1) 0px 0px 0px 1px, rgba(255,255,255,0.1) 0px 1px 0px;
    border-radius: 5px;
}

/* css pour article */

.title-menu{
    background-image: url("image/bg-texture.png");
    padding: 20px 20px;
}

.list-article ul,li{
    text-decoration: none;
    list-style: none;
}

.list-article{
    display: flex;
    flex-direction: column;
}

.content-article{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 20px 10px;
    border-bottom: 1px solid;
}

.detail-article{
    width: 60%;
}

.views-article{
    width: 20%;
}

.autor-article{
    display: flex;
    flex-direction: row;
    width: 20%;
}

.right{
    width: 100%;
    padding: 10px 10px;
}

.content-right .content-article{
    border:none;
}

.discord a{
    padding: 10px;
}

.discord img{
    width: 100%;
}

/* css pre-footer*/
.pre-footer-container{
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-top: 3em;
    box-shadow: rgba(0,0,0,0.8) 0px 1px 8px, rgba(255,255,255,0.1) 0px 0px 0px 1px, rgba(255,255,255,0.1) 0px 1px 0px;
    background-color: rgba(0,0,0,0.4);
    border-radius: 3px;
}

.content-pre-footer{
    display: flex;
    flex-direction: row;
    width: 100%;
    padding: 40px;
    justify-content: space-around;
    align-items: center;
}

.logo{
    margin-left: -5%;
}

.logo img{
    width: 50%;
}

.policies{
    margin-left: -10%;
}

.pre-footer h4{
    margin-bottom: 10px;
}

.pre-footer ul li a{
    text-decoration: none;
    color: white;
}

/* css footer*/
.pre-footer-breadcrumb{
    display: flex;
    flex-direction: row;
    margin-top: 2em;
    box-shadow: inset rgba(0,0,0,0.8) 0px 1px 8px, rgba(255,255,255,0.1) 0px 0px 0px 1px, rgba(255,255,255,0.1) 0px 1px 0px;
    background-color: rgba(211,211,211,0.3);
    border-radius: 3px;
}

.breadcrumb-footer ul{
    height: 100%;
    display: flex;
    flex-direction: row;
}

.breadcrumb-footer ul:nth-child(2) li {
    padding-right: 10px;
    padding-left: 10px;
    border-left: 2px solid white;
    display: flex;
    align-items: center;
}

.breadcrumb-footer{
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    height: 3em;
    align-items: center;
}

.breadcrumb-footer ul:nth-child(1) li {
    text-indent: 20px;
    display: flex;
    align-items: center;
}
.breadcrumb-footer a{
    text-decoration: none;
    color: white;
    border-radius: 5px;
}


footer{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
    padding: 20px 0px;
    height: 5em;
}

footer div:nth-child(1){
    display: flex;
    flex-direction: row;
}

footer div:nth-child(1) p:nth-child(2){
    margin-left: 1em;
}

.breadcrumb-social-footer{
    display: flex;
    flex-direction: row;
    height: 100%;
    align-items: center;
    width: 25%;
}

.breadcrumb-social-footer a{
    display: flex;
    justify-content: center;
    padding:5px;
    margin: 2px;
    background-color:  rgba(211,211,211,0.3);
    height: 100%;
    width: 20%;
    align-items: center;
    border-radius: 3px;
}

/* css pour mediaquery*/

@media screen and (max-width: 980px) {

    header{
        justify-content: center;
    }

    .search{
        display: none;
    }

    .div-navbar{
        display: none;
    }

    .breadcrumb-focus{
        width: 100%;
    }

    .breadcrumb-focus ul:nth-child(2){
        display: none;
    }

    .breadcrumb-social{
        display: none;
    }

    .main-content{
        margin-top: -5em;
    }

    .container-content{
        flex-direction: column;
    }

    .content-right{
        margin-right: 20px;
    }

    .container-media{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .discord{
        width: 32%;
    }

    .staff{
        width: 32%;
    }

    .online{
        width: 32%;
    }

    .pre-footer-container{
        display: none;
    }

    footer{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 1em;
    }

    .breadcrumb-social-footer{
        order: -1;
    }
}